rem (c) Copyright IBM Corp. 2005, 2006 All rights reserved.
rem This script is owned by International Business Machines Corporation or
rem one of its subsidiaries ("IBM") and is copyrighted and licensed, not sold.
rem You may copy, modify, and distribute this script in any form without
rem payment to IBM, for any purpose including developing, using, marketing or
rem distributing programs that include or are derivative works of the script.
rem The script provided to you on an "AS IS" basis, without warranty of
rem any kind. IBM HEREBY EXPRESSLY DISCLAIMS ALL WARRANTIES, EITHER
rem EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
rem WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
rem PURPOSE. IBM shall not be liable for indemnification or any damages you suffer 
rem as a result of using, modifying or distributing the script or its derivatives.
rem Each copy of any portion of this script or any derivative work, must
rem include the above copyright notice and disclaimer of warranty.
@echo off
setlocal
cls
echo =========================================================
echo .
echo This script installs and initializes UDDI
echo .
echo The script assumes you have:
echo .
echo WebSphere 61 installed and running
echo .
echo Run setupCmdLine.bat from the appropriate WAS profile
echo .
echo =========================================================
echo .

set DB2UserID=db2admin
set DB2Password=cr0nic
set DB2Host=localhost
set WASUserID=Administrator
set WASPassword=ir0nical
set serverName=server1
set cluster=NO

if "%1" NEQ "" ( set DB2UserID=%1 ) ELSE goto ERROREXIT
if "%2" NEQ "" ( set DB2Password=%2 ) ELSE goto ERROREXIT
if "%3" NEQ "" ( set DB2Host=%3 ) ELSE goto ERROREXIT
if "%4" NEQ "" ( set DB2Port=%4 ) ELSE goto ERROREXIT
if "%5" NEQ "" ( set dbName=%5 ) ELSE goto ERROREXIT
if "%6" NEQ "" ( set WASUserID=%6 ) ELSE goto ERROREXIT
if "%7" NEQ "" ( set WASPassword=%7 ) ELSE goto ERROREXIT
if "%8" EQU "cluster" (
    set cluster=YES
) ELSE (
    if "%8" EQU "NDserver" (
        set cluster=NO
    ) ELSE (
        if "%8" EQU "baseserver" (
           set cluster=BASE
        ) ELSE (
           echo Invalid install type %8 found, expected cluster, NDserver or baseserver
           goto ERROREXIT
        )
    )
)
if "%9" NEQ "" ( set serverName=%9 ) ELSE goto ERROREXIT
rem if "%10" NEQ "" goto ERROREXIT

echo  DB2UserID: %DB2UserID%
echo  DB2Password: %DB2Password%
echo  DB2Host: %DB2Host%
echo  DB2Port: %DB2Port%
echo  DatabaseName: %dbName%
echo  was_home: %WAS_HOME%
echo  cluser mode: %cluster%
echo  server/cluster name: %serverName%
echo .

set JACLNAME=tuddiDeploy.jacl

if not exist "%JACLNAME%" goto NOJACL
if not exist "%USER_INSTALL_ROOT%\bin\wsadmin.bat" goto NOWASADMIN

set PATH=%USER_INSTALL_ROOT%\bin;%JAVA_HOME%\bin;%PATH%

echo deploying the UDDI into WAS and creating JDBC connections
if "%cluster%" EQU "YES" (
    call wsadmin -username %WASUserID% -password %WASPassword% -f %JACLNAME% %DB2UserID% %DB2Password% %DB2Host% %DB2Port% %dbName% %serverName%
) ELSE (
    call wsadmin -username %WASUserID% -password %WASPassword% -f %JACLNAME% %DB2UserID% %DB2Password% %DB2Host% %DB2Port% %dbName% %WAS_NODE% %serverName%
)
if ERRORLEVEL 1 goto ERROREXIT

ping localhost

rem If its a base AppServer we must restart - otherwise the jacl will have done it
if "%cluster%" EQU "BASE" (
    echo Restarting application server to apply the changes
    echo Stopping the server
    call stopServer %serverName% -user %WASUserID% -password %WASPassword%
    if %errorlevel% EQU -10 goto RESTARTSTOPDONE
    if %errorlevel% LEQ -1 goto ERROREXIT
    :RESTARTSTOPDONE
    echo Restarting the server
    call startServer %serverName% -user %WASUserID% -password %WASPassword%
    if %errorlevel% LEQ -2 goto ERROREXIT
)

ping localhost

echo Calling JMX code to configure UDDI properties and policies
java -Djava.ext.dirs="%WAS_EXT_DIRS%";"%JAVA_HOME%"\jre\lib\ext;"%WAS_HOME%/runtimes";"%WAS_HOME%/plugins";"%WAS_HOME%/plugins/com.ibm.ws.security.crypto_6.1.0";"%WAS_HOME%\UDDIReg\clients" -Dwas.profile="%USER_INSTALL_ROOT%" -classpath "%WAS_CLASSPATH%";. "%CLIENTSOAP%" "%CLIENTSAS%" "%CLIENTSSL%" SetupUDDINodeForEvaluatedConfig %WASUserID% %WASPassword%
if ERRORLEVEL 1 goto ERROREXIT


echo "================== UDDI INSTALLED AND SET UP SUCCESSFULLY ===================="
goto :EOF

:NOWASADMIN
echo. 
echo The required file wasadmin.bat was not found
echo This is supplied with WebSphere in a default location
echo Make sure you run setupCmdLine.bat before this script
goto :ERROREXIT

:NOJACL
echo. 
echo The required file %JACLNAME% was not found
echo This should be supplied with this batchfile 
echo and located in the current directory
echo Locate a copy of %JACLNAME% and try again
echo. 
echo ==================================================================================
goto :EOF

:ERROREXIT
echo .
echo ERROR DETECTED
echo .
echo "USAGE: setupCmdLine.bat
echo "       for base setup: setupUDDI.bat <db2userid> <db2password> <db2hostname> <dbName> <WASuserid> <WASpassword> baseserver <serverName>"
echo "       for ND setup: setupUDDI.bat <db2userid> <db2password> <db2hostname> <dbName> <WASuserid> <WASpassword> NDserver <serverName>"
echo "       for cluster setup: setupUDDI.bat <db2userid> <db2password> <db2hostname> <dbName> <WASuserid> <WASpassword> cluster <clusterName>"
echo .
goto :EOF

